<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"faq\" title=\"Правила игры\">";
echo "<do type=\"options\" name=\"out\" label=\"Прихожая\"><go href=\"enter.php?$ses&amp;ref=$ref\"/></do>\n";
echo "<p align=\"left\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Правила игры</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"left\">";
}
echo $fsize1;
switch($mod) {

case '1':
echo "Сценарий:<br/>Хорошие играют против плохих:) Чтобы начать игру, необходимо набрать ''!старт''. Игра начинается по команде после чего все желающие участвовать в ней должны зарегистрироваться (команды !рег или !reg). Для начала игры необходимо не менее 3х человек. По окончанию регистрации Ведущий раздает роли. Роли<br/>Инспектор Катани - его задача отстрелять всех мафиози, или - маньяка, и так до тех пор пока его не пристрелит мафия, или не повесят заботливые граждане. Очень важно постараться как можно дольше не засветиться перед мафией или маньяком, иначе последние его сразу же грохнут. Катани может убить человека, или же прежде выяснить кто он такой, а уж потом махать пистолетом. Ведущий в привате отвечает ху из ху, что в дальнейшем помогает Катани склонить на свою сторону мирную часть населения при голосовании. Доктор - может напичкать любого в игре таблетками (в том числе и себя любимого). Каждой ночью он пытается оживить кого-то, иногда поднимая из могил совсем уж холодные трупы, а иногда теребит своими холодными лапами живых, беспокойно спящих в своих постелях. Но... к сожалению, доктор не может три ночи подряд опустошать аптечку самостоятельно и лечить, таким образом, исключительно себя...<br/>\n";
echo "<a href=\"mafrules.php?mod=2&amp;$ses&amp;rm=$rm&amp;ref=$ref\">&gt;&gt;&gt;</a><br/>\n";
break;


case '2':
echo "Бомж - шпион инспектора Катани, который лазиет по помойкам в поисках бутылок, а заодно и выясняет кто есть кто. Ему тоже лучше всего не рассказывать всем, что он бомж, потому как мафия доносчиков не особо любит. Валютная девушка(путана) - или в простонародье девка. Каждый раз с наступлением ночи она выходит на улицы города в поисках подходящего клиента, пока бедняжку не прихлопнут мафы или маньяк. Она может соблазнить любого, тем самым мешая ее избраннику сделать свое дело, а заодно и выяснить кого это занесло к ней в постель. Мафия - играют несколько человек. Самая большая гадость в том, что убить кого-то может лишь самый главный маф, а остальные должны довольствоваться ролью шестерок и, либо постараться не выдать себя как можно дольше, либо внаглую казнить первого мафа и занять его почетное место. В общем, тут нужно уметь как следует врать и изворачиваться :) Маньяк - этот парень руководствуется своей собственной логикой, другим недоступной. Стреляет ночью в кого придётся, укладывает всех подряд пока, в конце концов, не уложат его...<br/>\n"; 
echo "<a href=\"mafrules.php?mod=5&amp;$ses&amp;rm=$rm&amp;ref=$ref\">&gt;&gt;&gt;</a><br/>\n";  
echo "<a href=\"mafrules.php?mod=1&amp;$ses&amp;rm=$rm&amp;ref=$ref\">&lt;&lt;&lt;</a><br/>\n"; 
break;


case '3':
echo "Если вы с грустью наблюдаете отсутствие привата от Ведущего с вашей ролью, то вы - Мирный гражданин. Если вас не устраивает ваша роль (кроме роли Мирного гражданина - тут уж, простите, придется!), то от нее можно запросто отказаться, после чего вы автоматически присоединяетесь к рядам обычных жителей, а ваша роль достанется кому-нибудь еще. Самое главное для мирного жителя - это умудриться днем посредством голосования казнить одного из мафов или маньяка...<br/>
Горец - мирный персонаж. Бессмертный. Убить его может только маньяк, порезав на мелкие кусочки, либо его могут повесить днем на суде Линча. В остальном ничем не отличается от обычного обывателя.<br/>
Клоун - уникальный персонаж, не похожий на других. Главная его задача - максимально запутать игру, за что он и получает очки. Один раз за игру он может поменять роли любых двух игроков. Считается за мирного. Клоун единственный, кому шлюха не может помешать выполнить свою роль.<br/>
Жена комиссара - по уши влюбленная в своего мужа, готова отдать жизнь за него. Действует, когда убивают комиссара (если сама еще жива) - мстит за смерть - убивает любого чеговека, но только один раз.<br/>\n";
echo "<a href=\"mafrules.php?mod=4&amp;$ses&amp;rm=$rm&amp;ref=$ref\">&gt;&gt;&gt;</a><br/>\n";  
echo "<a href=\"mafrules.php?mod=5&amp;$ses&amp;rm=$rm&amp;ref=$ref\">&lt;&lt;&lt;</a><br/>\n";
break;


case '4':
echo "Действия<br/>
Наступает ночь, мафиози обсуждают в приватах, кого они прикончат, затем главный делает заказ на этого человека; все остальные игроки с ролями также делают свои заказы, естественно, кроме мирных жителей, которым просто следует молиться, чтобы их не убили в первую же ночь. После того, как все заказы сделаны, наступает день. Если кто-то не успел сделать свой заказ, то Ведущий автоматически убирает этого человека из игры - в следующий раз будете меньше тормозить. Итак, наступает день. Все выжившие могут посочувствовать не пережившим эту ночь, и должны выбрать кандидата на казнь. Твердым аргументом здесь могут послужить слова девки или бомжа, но следует хорошо подумать: а действительно ли это девка или бомж? Поэтому основная задача мирных жителей - думать своей головой, так как злобные мафы и маньяк могут склонить жителей на свою сторону, всех одурачив. Кандидата можно повесить или оправдать, если же голоса разделяются поровну - кандидат остается жив и снова наступает ночь. Если жители не могут никого предложить, то через некоторое время также наступает ночь. Все трупы - лишаются ''плюса'' и переходят в разряд простых наблюдателей игры. Таким образом, тот, кто больше всех заврался или всех убедил и умудрился дожить до конца игры - победитель :) Игра продолжается до тех пор, пока не останется только одна из группировок: горожане или мафия (или маньяк). 
Обязательные условия
1.    Запрещено матюгаться и оскорблять игроков. 
2.    Умершие не имеют права лезть ко всем живим в приваты и сообщать что они выяснили. 
3.    Ночью нельзя сообщать роли. <br/>\n";
echo "<a href=\"mafrules.php?mod=3&amp;$ses&amp;rm=$rm&amp;ref=$ref\">&lt;&lt;&lt;</a><br/>\n";
break;


case '5':
echo "Начисление очков за победу:<br/>
<b><i>1).</i></b> При победе мирных выжившие обыватели получают по 100 очков, остальные живые по 50 очков.<br/>
<b><i>2).</i></b> При победе мафов все выжившие мафиози получают по 50 очков.<br/>
<b><i>3).</i></b> При ничьей все выжившие игроки получают по 25 очков.<br/>
Начисление очков за действия:<br/>
<b><i>1).</i></b> Комиссар катани получает +5 очков за проверку, +-20 очков за убийство, в зависимости от того, кого он убил, мирного, или мафа.<br/>
<b><i>2).</i></b> Мафия за любое убийство получает +10 очков.<br/>
<b><i>3).</i></b> Маньяк получает +20 очков, если он убил мафа, и -5 очков, если зарезал мирного.<br/>
<b><i>4).</i></b> Доктор за любое лечение получает +5 очков, если он при этом еще и угадал, кого лечить, то получает еще +15 очков.<br/>
<b><i>5).</i></b> Бомж получает +5 очков за изучение чужих карманов.<br/>
<b><i>6).</i></b> Путана получает +5 очков каждый раунд, пока она жива, и выбирает ночью кого-то.<br/> 
<b><i>7).</i></b> Жена комиссара получает 50 очков за месть.<br/> 
<b><i>8).</i></b> Клоун получает (30*текущий_раунд) очков за смену ролей (то есть, если он сменил роли в первую же ночь, получает 30 очков, во вторую - 60 и так далее).<br/>
Помните, если вас отвлекла путана, то действие не засчитывается!<br/>
<b>Внимание!</b> За преждевременный уход из игры с вас снимается сразу 100 очков!<br/>\n";
echo "<a href=\"mafrules.php?mod=3&amp;$ses&amp;rm=$rm&amp;ref=$ref\">&gt;&gt;&gt;</a><br/>\n";  
echo "<a href=\"mafrules.php?mod=2&amp;$ses&amp;rm=$rm&amp;ref=$ref\">&lt;&lt;&lt;</a><br/>\n";
break;
}
echo $divide;
if ((isset($rm))&&($rm!="")) echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">В игру</a><br/>\n";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">Прихожая</a><br/>";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close ($link);
?>